Main Page Modules Data Structures File List Data Fields Globals Related Pages

# blockCipher Struct Reference
[Block ciphers]

`#include <beecrypt.h>`

## Data Fields
const char * | name
const unsigned int | paramsize
const unsigned int | blocksize
const unsigned int | keybitsmin
const unsigned int | keybitsmax
const unsigned int | keybitsinc
const blockCipherSetup | setup
const blockCipherSetIV | setiv
const blockCipherEncrypt | encrypt
const blockCipherDecrypt | decrypt
const blockMode * | mode

## Detailed Description

Methods and parameters for block ciphers. Specific block ciphers MAY be written to be multithread-safe.

Definition at line 767 of file beecrypt.h.

## Field Documentation

const unsigned int blockCipher::blocksize

| in bytes Definition at line 772 of file beecrypt.h. Referenced by dhaes_pContextDecrypt, and dhaes_pContextEncrypt.

const blockCipherDecrypt blockCipher::decrypt

| Definition at line 779 of file beecrypt.h.

const blockCipherEncrypt blockCipher::encrypt

| Definition at line 778 of file beecrypt.h.

const unsigned int blockCipher::keybitsinc

| keysize increment in bits Definition at line 775 of file beecrypt.h. Referenced by dhaes_pUsable.

const unsigned int blockCipher::keybitsmax

| max keysize in bits Definition at line 774 of file beecrypt.h. Referenced by dhaes_pUsable.

const unsigned int blockCipher::keybitsmin

| min keysize in bits Definition at line 773 of file beecrypt.h. Referenced by dhaes_pUsable.

const blockMode* blockCipher::mode

| Definition at line 781 of file beecrypt.h. Referenced by blockDecrypt, and blockEncrypt.

const char* blockCipher::name

| block cipher name Definition at line 770 of file beecrypt.h.

const unsigned int blockCipher::paramsize

| in bytes Definition at line 771 of file beecrypt.h. Referenced by blockCipherContextInit.

const blockCipherSetIV blockCipher::setiv

| Definition at line 777 of file beecrypt.h. Referenced by blockCipherContextSetIV.

const blockCipherSetup blockCipher::setup

| Definition at line 776 of file beecrypt.h. Referenced by blockCipherContextSetup.

The documentation for this struct was generated from the following file:

- beecrypt/beecrypt.h